uniform mat4 u_MVPMatrix;

attribute vec4 a_Position;
attribute vec4 a_TexCoord;

varying vec2 v_TexCoord;
uniform sampler2D inputTexture1;
uniform float zeroFar;

const vec3 grayXfer = vec3(0.3, 0.59, 0.11);

void main()
{
    v_TexCoord = a_TexCoord.xy;
    vec4 pos = a_Position;
    float g = vec3(dot(grayXfer, texture2D(inputTexture1, a_TexCoord.xy).rgb)).g;
    float depth = mix(1.-g, g, zeroFar);
    pos.z = depth*5.;
    gl_Position = u_MVPMatrix * pos;

}